/* include/fichiers.h - Lecture/criture des donnes
 * Copyright (C) 2002-2003 Inter System
 *
 * contact: Progs@Inter-System.Net
 *          Cesar@Inter-System.Net
 *          kouak@kouak.org
 * site web: http://coderz.inter-system.net
 *
 * Services pour serveur IRC. Support sur IrcProgs et IrCoderZ
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * $Id: fichiers.h,v 1.11 2004/11/19 20:36:27 romexzf Exp $
 */

#ifndef HAVEINC_fichier
#define HAVEINC_fichier

extern int load_users(void);
extern int write_userlist(void);
extern int write_anuser(anUser *);
extern int write_chanlist(void);
extern int write_achan(aChan *);
extern int write_bans(aChan *);
extern int load_chans(void);
extern void write_cmds(void);
extern int load_cmds(void);
int load_dnr(void);
void write_dnr(void);

extern void File_UserDel(char *);
extern int write_files(aNick *, aChan *, int, char **);
extern void append_file(const char *, const char *);

#endif /*HAVEINC_fichier*/
